Insert menu scrolls vertically and horiztonally, and has clipped message at the bottom of it
Closed, ResolvedPublic1 Story Points

Description

Observed on: https://meta.wikimedia.org/wiki/Grants:IEG/Improve_%27Upload_to_Commons%27_Android_App

I started editing in VisualEditor, and clicked on the Insert menu. The problem appears to be related to a misaligned tutorial, which can be shown in the first screenshot.

Deskana created this task.Jul 18 2017, 11:25 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 18 2017, 11:25 AM
Deskana triaged this task as Unbreak Now! priority.Jul 18 2017, 11:26 AM
Deskana moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

I will assume that this is a serious issue which may be affecting wikis other than Meta-Wiki until proven otherwise.

Restricted Application added subscribers: Liuxinyu970226, Jay8g, TerraCodes. · View Herald TranscriptJul 18 2017, 11:26 AM

It will only affect wikis that have Citoid enabled, configured, but also have it demoted from the toolbar. I think most wikis that bother setting up Citoid leave it in the toolbar...

Deskana lowered the priority of this task from Unbreak Now! to High.Jul 18 2017, 3:45 PM

It will only affect wikis that have Citoid enabled, configured, but also have it demoted from the toolbar. I think most wikis that bother setting up Citoid leave it in the toolbar...

Good to know. Decreasing priority, then.

Change 366325 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] ve.ui.MWEducationPopupTool: Don't show if not inside a BarToolGroup

https://gerrit.wikimedia.org/r/366325

Change 366325 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] ve.ui.MWEducationPopupTool: Don't show if not inside a BarToolGroup

https://gerrit.wikimedia.org/r/366325

Deskana set the point value for this task to 1.Jul 20 2017, 10:12 PM
Deskana closed this task as Resolved.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 20 2017, 10:12 PM
Elitre added a subscriber: Elitre.Jul 24 2017, 4:14 PM